// **********************************************************************
//
// Copyright (c) 2008-2023 VCI-Tech, Inc. All rights reserved.
//
// This copy of Ice is licensed to you under the terms described the
// ICE_LICENSE file included this distribution.
//
// **********************************************************************

#pragma once

[["java:package:com.vci.corba"]]
["cs:namespace:com.vci.corba"]

//module com {
//module vci {
//module corba {
module common {
	module data {

		sequence<string> StringArray;
		sequence<StringArray> StringArray2D;
		sequence<byte> bytes;
		//sequence<bytes> byteSeq;
		sequence<long> longSeq;

		const long InvocationContextID = 2130771713;
		
		struct VCIInvocationInfo {
			string userID;
			string userName;
			string trueName;
			string secretGrade;
			string email;
			string language;
			string country;
			StringArray	groupIDs;
			StringArray groupNames;
			StringArray	roleIDs;
			StringArray roleNames;
			string clientIPInfo;
			string clientMachine;
			string clientOS;
			string clientOSUser;
			StringArray extAttribs;
		}
		
				/**用户信息（接口传递的全局变量）**/					
		struct UserEntityInfo {
			string userName;
			string modules;
			string ip;
		};
		
	}

	// 通用异常信息
	exception VCIError {
		string code;
		data::StringArray messages;
	};
}
//}}}